Partner confirmation
curl --request POST \
--url https://app.airlead.de/api/webhooks/partner-confirmationimport requests
url = "https://app.airlead.de/api/webhooks/partner-confirmation"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://app.airlead.de/api/webhooks/partner-confirmation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transaction lifecycle
Partner confirmation
Acknowledge or reject a delivered transaction.
POST
/
api
/
webhooks
/
partner-confirmation
Partner confirmation
Partner confirmation
POST /api/webhooks/partner-confirmation
Auth
Buyer webhook secret for the transaction’s buyer.Body
{
"transactionId": "txn_...",
"status": "acknowledged",
"reason": "optional",
"buyerPrice": 80
}
| Field | Required | Notes |
|---|---|---|
transactionId | one of id fields | Airlead transaction id |
externalId | one of id fields | alias for partner external id |
partnerExternalId | one of id fields | same resolution path as externalId |
buyerAccountId | no | required to disambiguate when multiple txs share an external id |
status | yes | acknowledged | rejected |
reason | no | |
buyerPrice | no | applied on acknowledge when provided |
transactionId, externalId, or partnerExternalId is required.
Responses
200— applied (may includealreadyApplied,autoStatusChangedTo,economicsApplied)400— validation / transition error401/403— auth404— not found409— multiple transactions for external id; passbuyerAccountId

